CHCON(1)

NUME
chcon - schimbă contextul de securitate al fișierelor

SINOPSIS
chcon [OPȚIUNE]... CONTEXT FIȘIER...
chcon [OPȚIUNE]... [-u UTILIZATOR] [-r ROL] [-l INTERVAL] [-t TIP] FIȘIER...
chcon [OPȚIUNE]... --reference=FIȘIER_REF FIȘIER...

DESCRIERE

Schimbă contextul de securitate SELinux al fiecărui FIȘIER în CONTEXT. Cu --reference, schimbă contextul de securitate al fiecărui FIȘIER în cel al FIȘIER_REF.

Argumentele obligatorii pentru opțiunile lungi sunt de asemenea obligatorii pentru opțiunile scurte.

--dereference
    afectează referentul fiecărei legături simbolice (aceasta este valoarea implicită), mai degrabă decât legătura simbolică în sine

-h, --no-dereference
    afectează legăturile simbolice în locul oricărui fișier la care se face referire

-u, --user=UTILIZATOR
    stabilește utilizatorul UTILIZATOR în contextul de securitate țintă
      -r, --role=REGULĂ stabilește regula REGULĂ în contextul de securitate țintă
      -t, --type=TIP stabilește tipul TIP în contextul de securitate țintă
      -l, --range=INTERVAL stabilește intervalul INTERVAL în contextul de securitate țintă

-r, --role=ROL
    stabilește rolul ROL în contextul de securitate țintă

-t, --type=TIP
    stabilește tipul TIP în contextul de securitate țintă

-l, --range=INTERVAL
    stabilește intervalul INTERVAL în contextul de securitate țintă

--no-preserve-root
    nu tratează „/” deosebit (valoarea implicită)

--preserve-root
    eșuează la operarea recursivă pe „/”

--reference=FIȘIER_REF
    utilizează contextul de securitate FIȘIER_REF în loc de o valoare CONTEXT

-R, --recursive
    operează asupra fișierelor și directoarelor în mod recursiv

-v, --verbose
    descrie în amănunt acțiunile sau non-acțiunile luate pentru fiecare fișier sau dosar procesat

Următoarele opțiuni modifică traversarea unei ierarhii când este specificată și opțiunea -R. Dacă este specificată mai mult de una, numai cea finală are efect.

-H  dacă un argument din linia de comandă este o legătură simbolică la un dosar, o urmărește

-L  urmărește fiecare legătură simbolică la un dosar, ce este întâlnită

-P  nu urmărește nicio legătură simbolică (implicit)

--help
    afișează acest mesaj de ajutor și iese

--version
    afișează informațiile despre versiune și iese

AUTOR
Scris de Russell Coker și Jim Meyering.

RAPORTAREA ERORILOR
Ajutor online GNU coreutils: <https://www.gnu.org/software/coreutils/>
Raportați orice erori de traducere la: <https://translationproject.org/team/ro.html>

CONSULTAȚI ȘI
Documentația completă este disponibilă la <https://www.gnu.org/software/coreutils/chcon>
saul local rulând comanda: «info '(coreutils) chcon invocation'»

Împachetat de Debian (9.7-3)
Drepturi de autor © 2025 Free Software Foundation, Inc.
Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <https://gnu.org/licenses/gpl.html>.
Acesta este software liber: sunteți liber să-l modificați și să-l redistribuiți.
Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.